<script>

function checkPower(userInfo) {
  /* if (userInfo.role === 'ROLE_ADMIN') {
    return 'admin'
  }
  if (userInfo.role === 'ROLE_VIP') {
    if (userInfo.vipStopTime < new Date().getTime()) {
      return 'user'
    }
    return 'vip'
  }
  if (userInfo.role === 'ROLE_USER') {
    return 'user'
  }*/

  return 'user'
}

function checkVip(userInfo) {
  /* if (userInfo.role === 'ROLE_VIP') {
    if (userInfo.vipStopTime < new Date().getTime()) {
      return false
    }
    return true
  }
  if (userInfo.role === 'ROLE_ADMIN') {
    return true
  }
  return false*/
  return true
}

function updateUserRole(userInfo) {
  /* if (userInfo === null) {
    return false
  }
  if (userInfo.role === 'ROLE_VIP' && userInfo.vipStopTime < new Date().getTime()) {
    return true
  }*/
  return true
}

export default {
  checkPower,
  updateUserRole,
  checkVip
}
</script>
